<?php
class Photogallery {

    //variabili d'istanza
    private $elencoFoto = array();
    private $types = array("jpg", "jpeg");

//costruttore che inserisce i files della directory in un array
 public function __construct($directory) {
    if(is_dir($directory)) {
        $d = opendir($directory) or die("Cannot open directory");
         while($f = readdir($d)) {
            if(is_file("$directory/$f")) {
                $label = $this->creaLabel($f);
                $this->elencoFoto[$f] = $label;
            }
        }
        closedir($d);
     }
     else {
         die('Must pass in a directory');
     }
 }

 //per ottenere il nome della foto senza estensione
    private function creaLabel($nome){
        $lab = substr($nome, 0, strrpos($nome, "."));
        return $lab;
    }

//permette all'istanza di accedere ai dati della variabile d'istanza (dichiarata private)
    public function getElencoFoto(){
        return $this->elencoFoto;
    }

    public function setElencoFoto($ef) {
      $this->elencoFoto = $ef;
    }

//controlla che le estensioni dei files nella directory siano tutte dei tipi definiti nell'array types
/*
public function checkAllImages() {
  $ok = true;
  $ext = "";
  while($ok && (list($key,$val)=each($this->elencoFoto))) {
    $ext = substr($key,(strrpos($key, ".")+1));
    $ext = strtolower($ext);
    if(!in_array($ext, $this->types)) {
      $ok = false;
    }
  }
  return $ok;
}
*/

//elimina da elencoFoto tutti gli elemanti che non sono immagini (cioe' con estensione non inclusa in types)
    public function imagesOnly(){
        $ext = "";
        foreach ($this->elencoFoto as $key => $val){
            $ext = strtolower(substr($key,(strpos($key, ".")+1)));
            if(!in_array($ext, $this->types)){
                unset($this->elencoFoto[$key]);
            }
        }
    }

} //classe

?>